summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2016-03-03 10:38:53 +0100
committerMichał Górny <mgorny@gentoo.org>2016-03-03 11:47:37 +0100
commitc1a109706cec98fb344f628ad5913902f43ea2c4 (patch)
tree74ca7198c32763781feb180f149abc401929a7ee
parentprofiles/targets/systemd: add stuff for catalyst stage builds (diff)
downloadgentoo-c1a109706cec98fb344f628ad5913902f43ea2c4.tar.gz
gentoo-c1a109706cec98fb344f628ad5913902f43ea2c4.tar.bz2
gentoo-c1a109706cec98fb344f628ad5913902f43ea2c4.zip
dev-python/pypy3: Fix path subst in Gentoo paths
-rw-r--r--dev-python/pypy3/pypy3-2.4.0-r2.ebuild (renamed from dev-python/pypy3/pypy3-2.4.0-r1.ebuild)4
1 files changed, 4 insertions, 0 deletions
diff --git a/dev-python/pypy3/pypy3-2.4.0-r1.ebuild b/dev-python/pypy3/pypy3-2.4.0-r2.ebuild
index c2c6e904d90..87a1a3dfcc1 100644
--- a/dev-python/pypy3/pypy3-2.4.0-r1.ebuild
+++ b/dev-python/pypy3/pypy3-2.4.0-r2.ebuild
@@ -83,6 +83,10 @@ src_prepare() {
epatch "${FILESDIR}/2.4.0-ncurses6.patch"
epatch "${FILESDIR}"/${PN}-2.4.0-libressl.patch
+ sed -e "s^@EPREFIX@^${EPREFIX}^" \
+ -e "s^@libdir@^$(get_libdir)^" \
+ -i lib-python/3/distutils/command/install.py || die
+
epatch_user
}